psychopy.org | Reference | Downloads | Github

Builder crashes when trying to use "search for for online projects" function

If this template helps then use it. If not then just delete and start from scratch.

OS (e.g. Win10): Win 10
PsychoPy version (e.g. 1.84.x): 2021.1.4
Standard Standalone? (y/n) y
What are you trying to achieve?: Searching for online projects (middle one of the 5 pavlovia symbols)

Builder crashes every time I want to use this search for online projects. Error message is below

Traceback (most recent call last):
File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\connectionpool.py”, line 384, in _make_request
six.raise_from(e, None)
File “”, line 2, in raise_from
File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\connectionpool.py”, line 380, in _make_request
httplib_response = conn.getresponse()
File “C:\Program Files\PsychoPy3\lib\http\client.py”, line 1331, in getresponse
response.begin()
File “C:\Program Files\PsychoPy3\lib\http\client.py”, line 297, in begin
version, status, reason = self._read_status()
File “C:\Program Files\PsychoPy3\lib\http\client.py”, line 258, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), “iso-8859-1”)
File “C:\Program Files\PsychoPy3\lib\socket.py”, line 586, in readinto
return self._sock.recv_into(b)
File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\contrib\pyopenssl.py”, line 298, in recv_into
raise timeout(‘The read operation timed out’)
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Program Files\PsychoPy3\lib\site-packages\requests\adapters.py”, line 449, in send
timeout=timeout
File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\connectionpool.py”, line 638, in urlopen
_stacktrace=sys.exc_info()[2])
File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\util\retry.py”, line 367, in increment
raise six.reraise(type(error), error, _stacktrace)
File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\packages\six.py”, line 686, in reraise
raise value
File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\connectionpool.py”, line 600, in urlopen
chunked=chunked)
File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\connectionpool.py”, line 386, in _make_request
self._raise_timeout(err=e, url=url, timeout_value=read_timeout)
File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\connectionpool.py”, line 306, in _raise_timeout
raise ReadTimeoutError(self, url, “Read timed out. (read timeout=%s)” % timeout_value)
urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host=‘gitlab.pavlovia.org’, port=443): Read timed out. (read timeout=2)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Program Files\PsychoPy3\lib\site-packages\psychopy\app\pavlovia_ui\toolbar.py”, line 86, in onPavloviaSearch
searchDlg.Show()
File “C:\Program Files\PsychoPy3\lib\site-packages\psychopy\app\pavlovia_ui\search.py”, line 172, in Show
self.onSearch() # trigger the search update
File “C:\Program Files\PsychoPy3\lib\site-packages\psychopy\app\pavlovia_ui\search.py”, line 143, in onSearch
search=searchStr)
File “C:\Program Files\PsychoPy3\lib\site-packages\gitlab\exceptions.py”, line 242, in wrapped_f
return f(*args, **kwargs)
File “C:\Program Files\PsychoPy3\lib\site-packages\gitlab\mixins.py”, line 133, in list
obj = self.gitlab.http_list(path, **data)
File “C:\Program Files\PsychoPy3\lib\site-packages\gitlab_init_.py”, line 562, in http_list
**kwargs))
File “C:\Program Files\PsychoPy3\lib\site-packages\gitlab_init_.py”, line 671, in init
self.query(url, query_data, **kwargs)
File "C:\Program Files\PsychoPy3\lib\site-packages\gitlab_init
.py", line 676, in query
**kwargs)
File "C:\Program Files\PsychoPy3\lib\site-packages\gitlab_init
.py", line 472, in http_request
result = self.session.send(prepped, timeout=timeout, **settings)
File “C:\Program Files\PsychoPy3\lib\site-packages\requests\sessions.py”, line 646, in send
r = adapter.send(request, **kwargs)
File “C:\Program Files\PsychoPy3\lib\site-packages\requests\adapters.py”, line 529, in send
raise ReadTimeout(e, request=request)
requests.exceptions.ReadTimeout: HTTPSConnectionPool(host=‘gitlab.pavlovia.org’, port=443): Read timed out. (read timeout=2)

I usually get something like this. I try again until it works.

Frustrating I know. It seems to be due to Builder not realising how long it takes the list of available projects to download.

Did the ‘keep trying’ solution work here? I’m having the same problem.